package com.qmth.distributed.print.business.bean.marking;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 题目结构
 * @Author: CaoZixuan
 * @Date: 2022-04-13
 */
public class Question {
    @ApiModelProperty(value = "大题号")
    private Integer mainNumber;

    @ApiModelProperty(value = "大题名称")
    private String mainTitle;

    @ApiModelProperty(value = "小题号")
    private String subNumber;

    @ApiModelProperty(value = "小题总分")
    private BigDecimal totalScore;

    @ApiModelProperty(value = "客观题答案")
    private String answer;

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public String getMainTitle() {
        return mainTitle;
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public String getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(String subNumber) {
        this.subNumber = subNumber;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public static boolean matchTwoObjects(Question a, Question b) {
        if (!a.getMainNumber().equals(b.getMainNumber())) {
            return false;
        }
        if (!a.getSubNumber().equals(b.getSubNumber())) {
            return false;
        }
        if (!a.getTotalScore().equals(b.getTotalScore())) {
            return false;
        }
        return a.getMainTitle().equals(b.getMainTitle());
    }
}
